use std::io;
use std::io::prelude::*;
use std::fs::File;
use std::fmt::Display;

pub fn read_lines(filename: &str) -> io::Result<impl Iterator<Item = io::Result<String>>> {
    let file = File::open(filename)?;
    Ok(io::BufReader::new(file).lines())
}

pub fn print_step<T: Display>(step: i8, value: &T) {
    println!("Step {step} solution: {value}");
}
